import request from '@/utils/request'

// 查询无权限的部门列表
export function noAuthList(query) {
  return request({
    url: '/system/dept/noAuthList',
    method: 'get',
    params: query
  })
}

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/system/dept/list',
    method: 'get',
    params: query
  })
}

// 查询学院名称
export function getDeptName() {
  return request({
    url: '/system/dept/name',
    method: 'get'
  })
}

// 查询部门列表（排除指定节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: `/system/dept/list/exclude/${deptId}`,
    method: 'get'
  })
}

// 查询部门详细信息
export function getDept(deptId) {
  return request({
    url: `/system/dept/${deptId}`,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: '/system/dept',
    method: 'post',
    data
  })
}

// 修改部门信息
export function updateDept(data) {
  return request({
    url: '/system/dept/update',
    method: 'post',
    data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: `/system/dept/delete/${deptId}`,
    method: 'post'
  })
}

// 查询行政架构下的部门数据
export function getXZJGDept(deptId) {
  return request({
    url: '/system/dept/getXZJGDept',
    method: 'get'
  })
}
